Bug 1402774 - Snapshot: Snapshot create command fails when gluster-shared-storage volume is stopped
Summary: Snapshot: Snapshot create command fails when gluster-shared-storage volume i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Avra Sengupta
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1402828 1404101
TreeView+ depends on / blocked
 
Reported: 2016-12-08 10:21 UTC by Anil Shah
Modified: 2017-03-23 05:55 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1402828 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:55:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Anil Shah 2016-12-08 10:21:33 UTC
Description of problem:

When cluster.enable-shared-storage is enable , however if gluster-shared-storage is stopped, Create snapshot command fails.

Version-Release number of selected component (if applicable):

[root@rhs-client46 ~]# rpm -qa | grep glusterfs
glusterfs-debuginfo-3.8.4-6.el7rhgs.x86_64
glusterfs-fuse-3.8.4-7.el7rhgs.x86_64
glusterfs-geo-replication-3.8.4-7.el7rhgs.x86_64
glusterfs-libs-3.8.4-7.el7rhgs.x86_64
glusterfs-client-xlators-3.8.4-7.el7rhgs.x86_64
glusterfs-api-3.8.4-7.el7rhgs.x86_64
glusterfs-server-3.8.4-7.el7rhgs.x86_64
glusterfs-3.8.4-7.el7rhgs.x86_64
glusterfs-cli-3.8.4-7.el7rhgs.x86_64
samba-vfs-glusterfs-4.4.6-2.el7rhgs.x86_64



How reproducible:

100%

Steps to Reproduce:
1. Create 2*2 distribute volume
2. enabled cluster.enable-shared-storage
3. stop gluster-shared-storage
4. Create snapshot 

Actual results:

Create snapshot  command fails

Expected results:

Create snapshot command should not fail

Additional info:

Comment 4 Avra Sengupta 2016-12-09 10:57:31 UTC
Master Url : http://review.gluster.org/16094

Comment 7 Avra Sengupta 2016-12-13 05:30:43 UTC
Master Url : http://review.gluster.org/16094
Release 3.9 Url : http://review.gluster.org/#/c/16112/1
RHGS 3.2.0 Url : https://code.engineering.redhat.com/gerrit/#/c/92781/

Comment 9 Anil Shah 2016-12-20 05:38:53 UTC
[root@rhs-client46 ~]# gluster v stop gluster_shared_storage
Stopping the shared storage volume(gluster_shared_storage), will affect features like snapshot scheduler, geo-replication and NFS-Ganesha. Do you still want to continue? (y/n) y

volume stop: gluster_shared_storage: success

[root@rhs-client46 ~]# gluster snapshot create snap1 test-volume no-timestamp
snapshot create: success: Snap snap1 created successfully

[root@rhs-client46 ~]# gluster snapshot activate snap1
Snapshot activate: snap1: Snap activated successfully


[root@rhs-client46 ~]# gluster snapshot clone clone2 snap1
snapshot clone: success: Clone clone2 created successfully

[root@rhs-client46 ~]# gluster v start clone2
volume start: clone2: success

Able to create Snapshots, when gluster_shared_storage is down. Bug verified on build glusterfs-3.8.4-9.el7rhgs.x86_64

Comment 11 errata-xmlrpc 2017-03-23 05:55:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.